[package]
name = "room4doom"
version = "0.11.0"
authors = ["Luke Jones <luke@ljones.dev>"]
edition = "2021"
license = "MPL-2.0"
build = "../build.rs"

[[bin]]
name = "room4doom"
path = "src/main.rs"

[features]
default = ["sdl2-bundled"]
sdl2-bundled = ["sdl2/bundled", "sound-sdl2/sdl2-bundled"]

[dependencies]
sdl2 = { version = "~0.35.2", features = ["mixer"] }
gumdrop = "~0.8"
input = { path = "../input" }
menu-doom = { path = "../menu/doom" }
gameplay = { path = "../gameplay" }
gamestate = { path = "../gamestate" }
gamestate-traits = { path = "../gamestate-traits" }

intermission-doom = { path = "../intermission/doom" }
hud-doom = { path = "../hud-messages/doom" }
finale-doom = { path = "../finale/doom" }
statusbar-doom = { path = "../statusbar/doom" }

sound-traits = { path = "../sound/traits" }
sound-sdl2 = { path = "../sound/sdl2" }
render-traits = { path = "../render/traits" }
render-soft = { path = "../render/software" }
wad = { path = "../wad" }
golem = { git = "https://github.com/flukejones/golem/" }
# utility deps
env_logger = { version = "^0.9", default-features = false, features = ["termcolor", "atty"] }
dirs = "~4.0"
toml = "0.5"
serde = { version = "1.0", features = ["serde_derive"] }
